from shared import WowheadObject, WowheadNpc


# Objects in comments have no locations, typically inside instances
# They are removed to speed up the script
HERBS = [
    WowheadObject(type="classic", name="Peacebloom", ids=['1618', '3724'], gathermate_id='401'),
    WowheadObject(type="classic", name="Silverleaf", ids=['1617', '3725'], gathermate_id='402'),
    WowheadObject(type="classic", name="Earthroot", ids=['1619', '3726'], gathermate_id='403'),
    WowheadObject(type="classic", name="Mageroyal", ids=['1620', '3727'], gathermate_id='404'),
    WowheadObject(type="classic", name="Briarthorn", ids=['1621', '3729'], gathermate_id='405'),
    # WowheadObject(type="classic", name="Swiftthistle", ids=[], gathermate_id='406'),
    WowheadObject(type="classic", name="Stranglekelp", ids=['2045'], gathermate_id='407'),
    WowheadObject(type="classic", name="Bruiseweed", ids=['1622', '3730'], gathermate_id='408'),
    WowheadObject(type="classic", name="Wild Steelbloom", ids=['1623'], gathermate_id='409'),
    WowheadObject(type="classic", name="Grave Moss", ids=['1628'], gathermate_id='410'),
    WowheadObject(type="classic", name="Kingsblood", ids=['1624'], gathermate_id='411'),
    WowheadObject(type="classic", name="Liferoot", ids=['2041'], gathermate_id='412'),
    WowheadObject(type="classic", name="Fadeleaf", ids=['2042'], gathermate_id='413'),
    WowheadObject(type="classic", name="Goldthorn", ids=['2046'], gathermate_id='414'),
    WowheadObject(type="classic", name="Khadgar's Whisker", ids=['2043'], gathermate_id='415'),
    WowheadObject(type="classic", name="Wintersbite", ids=['2044'], gathermate_id='416'),
    WowheadObject(type="classic", name="Firebloom", ids=['2866'], gathermate_id='417'),
    WowheadObject(type="classic", name="Purple Lotus", ids=['142140'], gathermate_id='418'), # 180165
    # WowheadObject(type="classic", name="Wildvine", ids=[], gathermate_id='419'),
    WowheadObject(type="classic", name="Arthas' Tears", ids=['142141', '176642'], gathermate_id='420'),
    WowheadObject(type="classic", name="Sungrass", ids=['142142', '176636'], gathermate_id='421'), # 180164
    WowheadObject(type="classic", name="Blindweed", ids=['142143'], gathermate_id='422'), # 183046
    WowheadObject(type="classic", name="Ghost Mushroom", ids=['142144'], gathermate_id='423'),
    WowheadObject(type="classic", name="Gromsblood", ids=['142145', '176637'], gathermate_id='424'),
    WowheadObject(type="classic", name="Golden Sansam", ids=['176583', '176638'], gathermate_id='425'), # 180167
    WowheadObject(type="classic", name="Dreamfoil", ids=['176584', '176639'], gathermate_id='426'), # 180168
    WowheadObject(type="classic", name="Mountain Silversage", ids=['176586', '176640'], gathermate_id='427'), # 180166
    WowheadObject(type="classic", name="Plaguebloom", ids=['176587', '176641'], gathermate_id='428'),
    WowheadObject(type="classic", name="Icecap", ids=['176588'], gathermate_id='429'),
    # WowheadObject(type="classic", name="Bloodvine", ids=[], gathermate_id='430'),
    WowheadObject(type="classic", name="Black Lotus", ids=['176589'], gathermate_id='431'),
    WowheadObject(type="classic", name="Felweed", ids=['183044', '181270'], gathermate_id='432'),
    WowheadObject(type="classic", name="Dreaming Glory", ids=['183045','181271'], gathermate_id='433'),
    WowheadObject(type="classic", name="Terocone", ids=['181277'], gathermate_id='434'),
    WowheadObject(type="classic", name="Ancient Lichen", ids=['181278'], gathermate_id='435'),
    WowheadObject(type="classic", name="Bloodthistle", ids=['181166'], gathermate_id='436'),
    WowheadObject(type="classic", name="Mana Thistle", ids=['181281'], gathermate_id='437'),
    WowheadObject(type="classic", name="Netherbloom", ids=['181279'], gathermate_id='438'),
    WowheadObject(type="classic", name="Nightmare Vine", ids=['181280'], gathermate_id='439'),
    WowheadObject(type="classic", name="Ragveil", ids=['183043','181275'], gathermate_id='440'),
    WowheadObject(type="classic", name="Flame Cap", ids=['181276'], gathermate_id='441'),
    WowheadObject(type="classic", name="Adder's Tongue", ids=['191019'], gathermate_id='443'),
    # WowheadObject(type="classic", name="Constrictor Grass", ids=[], gathermate_id='444'),
    # WowheadObject(type="classic", name="Deadnettle", ids=[], gathermate_id='445'),
    WowheadObject(type="classic", name="Goldclover", ids=['189973'], gathermate_id='446'),
    WowheadObject(type="classic", name="Icethorn", ids=['190172'], gathermate_id='447'),
    WowheadObject(type="classic", name="Lichbloom", ids=['190171'], gathermate_id='448'),
    WowheadObject(type="classic", name="Talandra's Rose", ids=['190170'], gathermate_id='449'),
    WowheadObject(type="classic", name="Tiger Lily", ids=['190169'], gathermate_id='450'),
    WowheadObject(type="classic", name="Firethorn", ids=['191303'], gathermate_id='451'),
    WowheadObject(type="classic", name="Frozen Herb", ids=['190173','190174','190175'], gathermate_id='452'),
    WowheadObject(type="classic", name="Frost Lotus", ids=['190176'], gathermate_id='453'),
    WowheadObject(type="classic", name="Dragon's Teeth", ids=['2044'], gathermate_id='454'),
    WowheadObject(type="classic", name="Sorrowmoss", ids=['176587'], gathermate_id='455'),
    WowheadObject(type="retail", name="Azshara's Veil", ids=['202749'], gathermate_id='456'),
    WowheadObject(type="retail", name="Cinderbloom", ids=['202747'], gathermate_id='457'),
    WowheadObject(type="retail", name="Stormvine", ids=['202748'], gathermate_id='458'),
    WowheadObject(type="retail", name="Heartblossom", ids=['202750'], gathermate_id='459'),
    WowheadObject(type="retail", name="Twilight Jasmine", ids=['202751'], gathermate_id='460'),
    WowheadObject(type="retail", name="Whiptail", ids=['202752'], gathermate_id='461'),
]

ORES = [
    WowheadObject(type="classic", name="Copper Vein", ids=['1731', '3763', '103713', '2055', '181248'], gathermate_id='201'),
    WowheadObject(type="classic", name="Tin Vein", ids=['1732', '3764', '2054', '103711', '181249'], gathermate_id='202'),
    WowheadObject(type="classic", name="Iron Deposit", ids=['1735'], gathermate_id='203'),
    WowheadObject(type="classic", name="Silver Vein", ids=['1733', '105569'], gathermate_id='204'),
    WowheadObject(type="classic", name="Gold Vein", ids=['1734', '181109', '150080'], gathermate_id='205'),
    WowheadObject(type="classic", name="Mithril Deposit", ids=['2040', '176645', '150079'], gathermate_id='206'),
    WowheadObject(type="classic", name="Ooze Covered Mithril Deposit", ids=['123310'], gathermate_id='207'),
    WowheadObject(type="classic", name="Truesilver Deposit", ids=['2047', '150081', '181108'], gathermate_id='208'),
    WowheadObject(type="classic", name="Ooze Covered Silver Vein", ids=['73940'], gathermate_id='209'),
    WowheadObject(type="classic", name="Ooze Covered Gold Vein", ids=['73941'], gathermate_id='210'),
    WowheadObject(type="classic", name="Ooze Covered Truesilver Deposit", ids=['123309'], gathermate_id='211'),
    WowheadObject(type="classic", name="Ooze Covered Rich Thorium Vein", ids=['177388'], gathermate_id='212'),
    WowheadObject(type="classic", name="Ooze Covered Thorium Vein", ids=['123848'], gathermate_id='213'),
    WowheadObject(type="classic", name="Small Thorium Vein", ids=['324', '176643', '150082'], gathermate_id='214'),
    WowheadObject(type="classic", name="Rich Thorium Vein", ids=['175404'], gathermate_id='215'),
    WowheadObject(type="classic", name="Dark Iron Deposit", ids=['165658'], gathermate_id='217'),
    WowheadObject(type="classic", name="Lesser Bloodstone Deposit", ids=['2653'], gathermate_id='218'),
    WowheadObject(type="classic", name="Incendicite Mineral Vein", ids=['1610', '1667'], gathermate_id='219'),
    WowheadObject(type="classic", name="Indurium Mineral Vein", ids=['19903'], gathermate_id='220'),
    WowheadObject(type="classic", name="Fel Iron Deposit", ids=['181555'], gathermate_id='221'),
    WowheadObject(type="classic", name="Adamantite Deposit", ids=['181556'], gathermate_id='222'),
    WowheadObject(type="classic", name="Rich Adamantite Deposit", ids=['181569', '181570'], gathermate_id='223'),
    WowheadObject(type="classic", name="Khorium Vein", ids=['181557'], gathermate_id='224'),
    # WowheadObject(type="classic", name="Large Obsidian Chunk", ids=['181069'], gathermate_id='225'),
    # WowheadObject(type="classic", name="Small Obsidian Chunk", ids=['181068'], gathermate_id='226'),
    WowheadObject(type="classic", name="Nethercite Deposit", ids=['185877'], gathermate_id='227'),
    WowheadObject(type="classic", name="Cobalt Deposit", ids=['189978'], gathermate_id='228'),
    WowheadObject(type="classic", name="Rich Cobalt Deposit", ids=['189979'], gathermate_id='229'),
    WowheadObject(type="classic", name="Titanium Vein", ids=['191133'], gathermate_id='230'),
    WowheadObject(type="classic", name="Saronite Deposit", ids=['189980'], gathermate_id='231'),
    WowheadObject(type="classic", name="Rich Saronite Deposit", ids=['189981'], gathermate_id='232'),
    WowheadObject(type="retail", name="Obsidium Deposit", ids=['202736'], gathermate_id='233'),
    # WowheadObject(type="classic", name="Huge Obsidian Slab", ids=[''], gathermate_id='234'),
    WowheadObject(type="retail", name="Pure Saronite Deposit", ids=['195036'], gathermate_id='235'),
    WowheadObject(type="retail", name="Elementium Vein", ids=['202738'], gathermate_id='236'),
    WowheadObject(type="retail", name="Rich Elementium Vein", ids=['202741'], gathermate_id='237'),
    WowheadObject(type="retail", name="Pyrite Deposit", ids=['202737'], gathermate_id='238'),
    WowheadObject(type="retail", name="Rich Obsidium Deposit", ids=['202739'], gathermate_id='239'),
    WowheadObject(type="retail", name="Rich Pyrite Deposit", ids=['202740'], gathermate_id='240'),
]

TREASURES = [
    WowheadObject(type="classic", name="Giant Clam", ids=['2744', '19017', '19018'], gathermate_id='501'),
    WowheadObject(type="classic", name="Battered Chest", ids=['2843', '106319', '106318', '2849'], gathermate_id='502'),
    WowheadObject(type="classic", name="Tattered Chest", ids=['2845', '2846', '2847', '2844', '105581', '105579', '4096', '111095', '105578', '3715'], gathermate_id='503'),
    WowheadObject(type="classic", name="Solid Chest", ids=['2850', '4149', '153453', '2857', '153451', '153454', '2855', '2852'], gathermate_id='504'),
    WowheadObject(type="classic", name="Large Iron Bound Chest", ids=['74447', '75297', '75296', '75295'], gathermate_id='505'),
    WowheadObject(type="classic", name="Large Solid Chest", ids=['74448', '75300', '153464', '153463', '75298', '75299'], gathermate_id='506'),
    WowheadObject(type="classic", name="Large Battered Chest", ids=['75293'], gathermate_id='507'),
    # WowheadObject(type="classic", name="Buccaneer's Strongbox", ids=['123330', '123331', '123333', '123332'], gathermate_id='508'),
    WowheadObject(type="classic", name="Large Mithril Bound Chest", ids=['153468', '131978', '153469'], gathermate_id='509'),
    WowheadObject(type="classic", name="Large Darkwood Chest", ids=['131979'], gathermate_id='510'),
    WowheadObject(type="classic", name="Un'Goro Dirt Pile", ids=['157936'], gathermate_id='511'),
    WowheadObject(type="classic", name="Bloodpetal Sprout", ids=['164958'], gathermate_id='512'),
    WowheadObject(type="classic", name="Blood of Heroes", ids=['176213'], gathermate_id='513'),
    # WowheadObject(type="classic", name="Practice Lockbox", ids=['178244', '178245', '178246'], gathermate_id='514'),
    WowheadObject(type="classic", name="Battered Footlocker", ids=['179488', '179490', '179486'], gathermate_id='515'),
    WowheadObject(type="classic", name="Waterlogged Footlocker", ids=['179487', '179491', '179489'], gathermate_id='516'),
    WowheadObject(type="classic", name="Dented Footlocker", ids=['179492', '179494', '179496', '184741'], gathermate_id='517'),
    WowheadObject(type="classic", name="Mossy Footlocker", ids=['179493', '179497'], gathermate_id='518'),
    WowheadObject(type="classic", name="Scarlet Footlocker", ids=['179498'], gathermate_id='519'),
    WowheadObject(type="classic", name="Burial Chest", ids=['181665'], gathermate_id='520'),
    WowheadObject(type="classic", name="Fel Iron Chest", ids=['181798'], gathermate_id='521'),
    WowheadObject(type="classic", name="Heavy Fel Iron Chest", ids=['181800'], gathermate_id='522'),
    WowheadObject(type="classic", name="Adamantite Bound Chest", ids=['181802'], gathermate_id='523'),
    WowheadObject(type="classic", name="Felsteel Chest", ids=['181804'], gathermate_id='524'),
    WowheadObject(type="classic", name="Glowcap", ids=['182053'], gathermate_id='525'),
    WowheadObject(type="classic", name="Wicker Chest", ids=['184740'], gathermate_id='526'),
    # WowheadObject(type="classic", name="Primitive Chest", ids=['184793'], gathermate_id='527'),
    WowheadObject(type="classic", name="Solid Fel Iron Chest", ids=['184930','184933','184935'], gathermate_id='528'),
    WowheadObject(type="classic", name="Bound Fel Iron Chest", ids=['184931','184932','184934'], gathermate_id='529'),
    WowheadObject(type="classic", name="Bound Adamantite Chest", ids=['184938','184936','184940'], gathermate_id='530'),
    WowheadObject(type="classic", name="Netherwing Egg", ids=['185915'], gathermate_id='531'),
    WowheadObject(type="classic", name="Everfrost Chip", ids=['193997'], gathermate_id='532'),
    WowheadObject(type="classic", name="Brightly Colored Egg", ids=['113770','113771','113768','113769','113772'], gathermate_id='533'),
    # WowheadObject(type="classic", name="Silken Treasure Chest", ids=[], gathermate_id='534'),
    # WowheadObject(type="classic", name="Sturdy Treasure Chest", ids=[], gathermate_id='535'),
    # WowheadObject(type="classic", name="Runestone Treasure Chest", ids=[], gathermate_id='536'),
    # WowheadObject(type="classic", name="Silverbound Treasure Chest", ids=[], gathermate_id='537'),
    # WowheadObject(type="classic", name="Mysterious Camel Figurine", ids=[], gathermate_id='538'),
    # WowheadObject(type="classic", name="Dark Iron Treasure Chest", ids=[], gathermate_id='539'),
    # WowheadObject(type="classic", name="Maplewood Treasure Chest", ids=[], gathermate_id='540'),
    WowheadObject(type="classic", name="Takk's Nest", ids=['202081'], gathermate_id='541'),
    WowheadObject(type="classic", name="Dart's Nest", ids=['202080'], gathermate_id='542'),
    WowheadObject(type="classic", name="Razormaw Matriarch's Nest", ids=['202083'], gathermate_id='543'),
    WowheadObject(type="classic", name="Ravasaur Matriarch's Nest", ids=['202082'], gathermate_id='544'),
]

# Fishing pools have no locations on wowhead
FISHES = [
    # WowheadObject(type="classic", name="Floating Wreckage", ids=['180751'], gathermate_id='101'),
    # WowheadObject(type="classic", name="Patch of Elemental Water", ids=['180753'], gathermate_id='102'),
    # WowheadObject(type="classic", name="Floating Debris", ids=['180655'], gathermate_id='103'),
    # WowheadObject(type="classic", name="Oil Spill", ids=['180661'], gathermate_id='104'),
    # WowheadObject(type="classic", name="Firefin Snapper School", ids=['180683', '180752', '180657', '180902'], gathermate_id='105'),
    # WowheadObject(type="classic", name="Greater Sagefish School", ids=['180684'], gathermate_id='106'),
    # WowheadObject(type="classic", name="Oily Blackmouth School", ids=['180682', '180900', '180664', '180582', '180750'], gathermate_id='107'),
    # WowheadObject(type="classic", name="Sagefish School", ids=['180656', '180663', '180684'], gathermate_id='108'),
    # WowheadObject(type="classic", name="School of Deviate Fish", ids=['180658'], gathermate_id='109'),
    # WowheadObject(type="classic", name="Stonescale Eel Swarm", ids=['180712'], gathermate_id='110'),
    # WowheadObject(type="classic", name="Muddy Churning Water", ids=['180369'], gathermate_id='111'),
    # WowheadObject(type="classic", name="Highland Mixed School", ids=['182957'], gathermate_id='112'),
    # WowheadObject(type="classic", name="Pure Water", ids=['182951'], gathermate_id='113'),
    # WowheadObject(type="classic", name="Bluefish School", ids=['182959'], gathermate_id='114'),
    # WowheadObject(type="classic", name="Brackish Mixed School", ids=['182954'], gathermate_id='115'),
    # WowheadObject(type="classic", name="Mudfish School", ids=['182958'], gathermate_id='116'),
    # WowheadObject(type="classic", name="School of Darter", ids=['182956'], gathermate_id='117'),
    # WowheadObject(type="classic", name="Sporefish School", ids=['182953'], gathermate_id='118'),
    # WowheadObject(type="classic", name="Steam Pump Flotsam", ids=['182952'], gathermate_id='119'),
    # WowheadObject(type="classic", name="School of Tastyfish", ids=['180248'], gathermate_id='120'),
    # WowheadObject(type="classic", name="Borean Man O' War School", ids=['192051'], gathermate_id='121'),
    # WowheadObject(type="classic", name="Deep Sea Monsterbelly School", ids=['192053'], gathermate_id='122'),
    # WowheadObject(type="classic", name="Dragonfin Angelfish School", ids=['192048'], gathermate_id='123'),
    # WowheadObject(type="classic", name="Fangtooth Herring School", ids=['192049'], gathermate_id='124'),
    # WowheadObject(type="classic", name="Glacial Salmon School", ids=['192050'], gathermate_id='126'),
    # WowheadObject(type="classic", name="Glassfin Minnow School", ids=['192059'], gathermate_id='127'),
    # WowheadObject(type="classic", name="Imperial Manta Ray School", ids=['192052'], gathermate_id='128'),
    # WowheadObject(type="classic", name="Moonglow Cuttlefish School", ids=['192054'], gathermate_id='129'),
    # WowheadObject(type="classic", name="Musselback Sculpin School", ids=['192046'], gathermate_id='130'),
    # WowheadObject(type="classic", name="Nettlefish School", ids=['192057'], gathermate_id='131'),
    # WowheadObject(type="classic", name="Strange Pool", ids=['184956'], gathermate_id='132'),
    # WowheadObject(type="classic", name="Schooner Wreckage", ids=['180662'], gathermate_id='133'),
    # WowheadObject(type="classic", name="Waterlogged Wreckage Pool", ids=[''], gathermate_id='134'),
    # WowheadObject(type="classic", name="Bloodsail Wreckage Pool", ids=[''], gathermate_id='135'),
    # WowheadObject(type="classic", name="Mixed Ocean School", ids=[''], gathermate_id='136'),
]

GASES = [
    # WowheadNpc(name="Windy Cloud", ids=['24222'], gathermate_id='301'),
    # WowheadNpc(name="Swamp Gas", ids=['17378'], gathermate_id='302'),
    # WowheadNpc(name="Arcane Vortex", ids=['17408'], gathermate_id='303'),
    # WowheadNpc(name="Felmist", ids=['17407'], gathermate_id='304'),
    # WowheadNpc(name="Steam Cloud", ids=['32544'], gathermate_id='305'),
    WowheadNpc(type="classic", name="Cinder Cloud", ids=['32522'], gathermate_id='306'),
    WowheadNpc(type="classic", name="Arctic Cloud", ids=['24879'], gathermate_id='307'),
]

ARCHAEOLOGY = [
    WowheadObject(type="retail", name="Night Elf Archaeology Find", ids=['203071'], gathermate_id='601'),
    WowheadObject(type="retail", name="Troll Archaeology Find", ids=['202655'], gathermate_id='602'),
    WowheadObject(type="retail", name="Dwarf Archaeology Find", ids=['204282'], gathermate_id='603'),
    WowheadObject(type="retail", name="Fossil Archaeology Find", ids=['206836'], gathermate_id='604'),
    WowheadObject(type="retail", name="Draenei Archaeology Find", ids=['207188'], gathermate_id='605'),
    WowheadObject(type="retail", name="Orc Archaeology Find", ids=['207187'], gathermate_id='606'),
    WowheadObject(type="retail", name="Nerubian Archaeology Find", ids=['203078'], gathermate_id='607'),
    WowheadObject(type="retail", name="Vrykul Archaeology Find", ids=['207189'], gathermate_id='608'),
    WowheadObject(type="retail", name="Tol'vir Archaeology Find", ids=['207190'], gathermate_id='609'),
    # WowheadObject(type="classic", name="Other Archaeology Find", ids=[''], gathermate_id='610'),
]
